## gnome-control-center 49.1

=== meson_options.txt ===
option('deprecated-declarations', type: 'feature', value: 'disabled', description: 'build with deprecated declaration warnings')
option('documentation', type: 'boolean', value: false, description: 'build documentation')
option('location-services', type: 'feature', value: 'enabled', description: 'build with location services')
option('ibus', type: 'boolean', value: true, description: 'build with IBus support')
option('privileged_group', type: 'string', value: 'wheel', description: 'name of group that has elevated permissions')
option('snap', type: 'boolean', value: true, description: 'build with Snap support')
option('tests', type: 'boolean', value: true, description: 'build tests')
option('x11', type: 'boolean', value: false, description: 'build with X11 support')
option('profile', type: 'combo', choices: ['default','development'], value: 'default')
option('malcontent', type: 'boolean', value: false, description: 'build with malcontent support')
option('distributor_logo', type: 'string', description: 'absolute path to distributor logo for the About panel')
option('dark_mode_distributor_logo', type: 'string', description: 'absolute path to distributor logo dark mode variant')

=== debian/changelog ===
gnome-control-center (1:49.1-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release

  [ Marco Trevisan (Treviño) ]
  * Opt into Salsa CI

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 15 Oct 2025 07:58:03 -0400

=== debian/control ===
Source: gnome-control-center
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Amin Bandali <bandali@ubuntu.com>,
           Jeremy Bícha <jbicha@ubuntu.com>,
           Laurent Bigonville <bigon@debian.org>,
           Marco Trevisan (Treviño) <marco@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               blueprint-compiler (>= 0.17.0),
               desktop-file-utils,
               dh-sequence-gnome (>= 0.22.2),
               gnome-settings-daemon-dev (>= 48~rc),
               gobject-introspection (>= 1.80),
               gsettings-desktop-schemas-dev (>= 48~alpha),
               gtk-doc-tools,
               libaccountsservice-dev (>= 23.11.69),
               libadwaita-1-dev (>= 1.8~alpha),
               libcolord-dev,
               libcolord-gtk4-dev (>= 0.1.24),
               libcups2-dev,
               libgcr-4-dev [linux-any],
               libgdk-pixbuf-2.0-dev,
               libglib2.0-dev (>= 2.76.6),
               libgnome-bg-4-dev,
               libgnome-bluetooth-ui-3.0-dev [linux-any],
               libgnome-desktop-4-dev,
               libgnutls28-dev,
               libgoa-1.0-dev (>= 3.51.0),
               libgoa-backend-1.0-dev (>= 3.51.0),
               libgsound-dev,
               libgtk-4-dev (>= 4.15.2),
               libgtop2-dev,
               libgudev-1.0-dev [linux-any],
               libhandy-1-dev (>= 1.2.0),
               libibus-1.0-dev,
               libjson-glib-dev,
               libkrb5-dev,
               libmalcontent-0-dev [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa powerpc ppc64 x32],
               libmm-glib-dev [linux-any],
               libnm-dev (>= 1.52.0) [linux-any],
               libnma-gtk4-dev (>= 1.10.2) [linux-any],
               libpolkit-gobject-1-dev,
               libpulse-dev,
               libpwquality-dev,
               libsecret-1-dev,
               libsmbclient-dev,
               libsoup-3.0-dev,
               libudisks2-dev,
               libupower-glib-dev (>= 1.90.6),
               libwacom-dev [linux-any],
               libxml2-dev,
               libxml2-utils,
               locales,
               meson (>= 0.60.0),
               python3-dbusmock <!nocheck>,
               shared-mime-info,
               tecla (>= 47),
               tzdata <!nocheck>,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-control-center.git
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-control-center

Package: gnome-control-center
Architecture: any
Depends: accountsservice (>= 23.11.69),
         colord,
         desktop-base,
         desktop-file-utils,
         gnome-control-center-data (<< ${gnome:NextVersion}),
         gnome-control-center-data (>= ${source:Version}),
         gnome-desktop3-data,
         gnome-online-accounts (>= 3.51.0),
         gnome-settings-daemon (>= 48~rc),
         gsettings-desktop-schemas (>= 48~alpha),
         heif-gdk-pixbuf,
         heif-thumbnailer,
         libjxl-gdk-pixbuf,
         mutter-common (>= 47),
         tecla (>= 47),
         webp-pixbuf-loader,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: cracklib-runtime,
            cups-pk-helper,
            fwupd [linux-any],
            gnome-bluetooth-sendto,
            gnome-remote-desktop (>= 47),
            gnome-user-docs,
            gnome-user-share,
            iso-codes,
            libcanberra-pulse,
            libnss-myhostname,
            libspa-0.2-bluetooth | pulseaudio-module-bluetooth,
            malcontent-gui [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa powerpc ppc64 x32],
            mobile-broadband-provider-info,
            nm-connection-editor | network-manager-gnome (<< 1.36.0-3~),
            polkitd,
            power-profiles-daemon,
            realmd,
            rygel | rygel-tracker,
            system-config-printer-common
Suggests: gnome-software | gnome-packagekit,
          gstreamer1.0-plugins-good (>= 1.18.0),
Breaks: gnome-remote-desktop (<< 42),
        gnome-shell (<< 42)
Description: utilities to configure the GNOME desktop
 This package contains configuration applets for the GNOME desktop,
 allowing to set accessibility configuration, desktop fonts, keyboard
 and mouse properties, sound setup, desktop theme and background, user
 interface properties, screen resolution, and other GNOME parameters.
 .
 It also contains a front end to these applets, which can also be
 accessed with the GNOME panel or the Nautilus file manager.

Package: gnome-control-center-dev
Architecture: all
Multi-Arch: foreign
Section: devel
Depends: gnome-control-center-data,
         ${misc:Depends}
Description: utilities to configure the GNOME desktop
 This package contains the file required to get the keydirs location

Package: gnome-control-center-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: configuration applets for GNOME - data files
 This package contains data files (icons, pixmaps, locales files) needed by
 the configuration applets in the gnome-control-center package.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CPPFLAGS_MAINT_APPEND = -DSSHD_SERVICE=\"ssh.service\"
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

# Not in Ubuntu main yet https://launchpad.net/bugs/1892456
ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes),yes)
DISTRIBUTOR_LOGO := /usr/share/pixmaps/ubuntu-logo-text.png
DISTRIBUTOR_LOGO_DARK := /usr/share/pixmaps/ubuntu-logo-text-dark.png
else
DISTRIBUTOR_LOGO := /usr/share/icons/vendor/scalable/emblems/emblem-vendor.svg
DISTRIBUTOR_LOGO_DARK := /usr/share/icons/vendor/scalable/emblems/emblem-vendor.svg
ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa powerpc ppc64 x32))
MALCONTENT := -Dmalcontent=true
else
MALCONTENT := -Dmalcontent=false
endif
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dlocation-services=enabled \
		-Dprivileged_group=sudo \
		-Ddocumentation=true \
		-Ddistributor_logo=$(DISTRIBUTOR_LOGO) \
		-Ddark_mode_distributor_logo=$(DISTRIBUTOR_LOGO_DARK) \
		$(MALCONTENT)

# Ubuntu-specific
override_dh_translations:
	dh_translations --domain=gnome-control-center-2.0

override_dh_gnome_clean:

## gnome-control-center 49.2

=== debian/changelog ===
gnome-control-center (1:49.2-1) unstable; urgency=medium

  * New upstream release
  * Add Depends: upower (Closes: #1081577)
  * Remove obsolete Rules-Requires-Root: no field

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 24 Nov 2025 08:33:53 -0500

gnome-control-center (1:49.1-2) unstable; urgency=medium

  * Remove patch avoiding GNOME Shell 49
  * Bump Breaks: gnome-shell to << 49

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 31 Oct 2025 09:28:43 -0400

## gnome-control-center 49.2.1

=== debian/changelog ===
gnome-control-center (1:49.2.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 26 Nov 2025 11:13:50 -0500

## gnome-control-center 49.2.2

=== debian/changelog ===
gnome-control-center (1:49.2.2-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    + Add gnome-control-center-faces package to share with unity-control-center
    + Install apport hook
    + debian/control:
      - Build-Depend on libwhoopsie-preferences-dev
      - Depend on language-selector-gnome & whoopsie-preferences
      - Don't depend on desktop-base
      - Recommend ibus
      - Don't recommend libnss-myhostname since we use systemd-resolved
      - Suggest instead of recommend gnome-user-share & realmd
      - Suggest instead of depend on libjxl-gdk-pixbuf
      - Suggest instead of recommend malcontent-gui
    + debian/gnome-control-center-data.install:
      - Don't install gnome-control-center.pkla since we use
        policykit-desktop-privileges instead
      - Install additional assets used by unity-control-center
    + debian/rules: Enable whoospie integration
    + debian/rules: set SSHD_SOCKET=ssh.socket via CPPFLAGS in debian/rules.
    + debian/rules: Enable malcontent support
    + Add patches:
      - u/keyboard-Add-launch-terminal-shortcut.patch
      - u/sound-Allow-volume-to-be-set-above-100.patch
      - u/Allow-tweaking-some-settings-for-Ubuntu-Dock.patch
      - u/multitasking-panel-Sync-workspace-and-monitor-isolation-d.patch
      - u/multitasking-panel-Sync-workspace-isolation-setting-on-ti.patch
      - u/lock-Add-Lock-Screen-on-Suspend-option.patch
      - u/region-Add-Language-Selector-button.patch
      - u/Adapts-the-region-capplet-and-the-language-chooser-in-the.patch
      - u/connectivity-add-network-connectivity-checking-toggle.patch
      - u/diagnostics-Add-Whoopsie-support.patch
      - u/online-accounts-Hide-window-after-adding-an-online-accoun.patch
      - u/online-accounts-sort.patch
      - u/update-manager.patch
      - u/sound-Add-a-button-to-select-the-default-theme.patch
      - u/applications-Launch-snap-store-if-it-is-installed.patch
      - u/display-Allow-fractional-scaling-to-be-enabled.patch
      - u/CVE-2023-5616.patch: Use sshd socket
      - u/background-Update-legacy-theme-settings-matching-the-acce.patch
      - u/background-Add-brown-accent-color-support.patch
      - u/sound-Add-toggle-for-the-startup-sound.patch
      - u/list-apps-even-without-malcontent.patch
      - u/panels-applications-Add-snap-keywords-to-application-pane.patch
      - u/applications-Support-controlling-the-autostart-flag-on-ap.patch
  * d/control: Update Ubuntu VCS branch
  * d/p/u: Refresh Ubuntu patches
  * d/rules: Use SVG Ubuntu logo

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 11 Dec 2025 10:39:15 +0100

gnome-control-center (1:49.2.2-1) unstable; urgency=medium

  * New upstream release (Closes: #1121346)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 28 Nov 2025 06:45:48 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gnome-control-center
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Amin Bandali <bandali@ubuntu.com>,
            Jeremy Bícha <jbicha@ubuntu.com>,
            Laurent Bigonville <bigon@debian.org>,
@@ -49,6 +50,7 @@
                libudisks2-dev,
                libupower-glib-dev (>= 1.90.6),
                libwacom-dev [linux-any],
+               libwhoopsie-preferences-dev,
                libxml2-dev,
                libxml2-utils,
                locales,
@@ -58,15 +60,15 @@
                tecla (>= 47),
                tzdata <!nocheck>,
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-control-center.git
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-control-center
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-control-center.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-control-center
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-control-center.git -b ubuntu/latest
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-control-center/tree/ubuntu/latest
 
 Package: gnome-control-center
 Architecture: any
 Depends: accountsservice (>= 23.11.69),
          colord,
-         desktop-base,
          desktop-file-utils,
          gnome-control-center-data (<< ${gnome:NextVersion}),
          gnome-control-center-data (>= ${source:Version}),
@@ -76,35 +78,39 @@
          gsettings-desktop-schemas (>= 48~alpha),
          heif-gdk-pixbuf,
          heif-thumbnailer,
+         language-selector-gnome (>= 0.179~),
          libjxl-gdk-pixbuf,
          mutter-common (>= 47),
          tecla (>= 47),
+         upower,
          webp-pixbuf-loader,
+         whoopsie-preferences,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: cracklib-runtime,
             cups-pk-helper,
             fwupd [linux-any],
             gnome-bluetooth-sendto,
+            gnome-control-center-faces,
             gnome-remote-desktop (>= 47),
             gnome-user-docs,
-            gnome-user-share,
+            ibus,
             iso-codes,
             libcanberra-pulse,
-            libnss-myhostname,
             libspa-0.2-bluetooth | pulseaudio-module-bluetooth,
-            malcontent-gui [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa powerpc ppc64 x32],
             mobile-broadband-provider-info,
             nm-connection-editor | network-manager-gnome (<< 1.36.0-3~),
             polkitd,
             power-profiles-daemon,
-            realmd,
             rygel | rygel-tracker,
             system-config-printer-common
 Suggests: gnome-software | gnome-packagekit,
+          gnome-user-share,
           gstreamer1.0-plugins-good (>= 1.18.0),
+          malcontent-gui [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa powerpc ppc64 x32],
+          realmd,
 Breaks: gnome-remote-desktop (<< 42),
-        gnome-shell (<< 42)
+        gnome-shell (<< 49)
 Description: utilities to configure the GNOME desktop
  This package contains configuration applets for the GNOME desktop,
  allowing to set accessibility configuration, desktop fonts, keyboard
@@ -113,6 +119,16 @@
  .
  It also contains a front end to these applets, which can also be
  accessed with the GNOME panel or the Nautilus file manager.
+
+Package: gnome-control-center-faces
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}
+Conflicts: unity-control-center-faces
+Replaces: unity-control-center-faces
+Provides: unity-control-center-faces
+Description: utilities to configure the GNOME desktop - faces images
+ This package contains images that can be used for user profile's icon
 
 Package: gnome-control-center-dev
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CPPFLAGS_MAINT_APPEND = -DSSHD_SERVICE=\"ssh.service\" -DSSHD_SOCKET=\"ssh.socket\"
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes),yes)
DISTRIBUTOR_LOGO := /usr/share/pixmaps/ubuntu-logo-text.svg
DISTRIBUTOR_LOGO_DARK := /usr/share/pixmaps/ubuntu-logo-text-dark.svg
else
DISTRIBUTOR_LOGO := /usr/share/icons/vendor/scalable/emblems/emblem-vendor.svg
DISTRIBUTOR_LOGO_DARK := /usr/share/icons/vendor/scalable/emblems/emblem-vendor.svg
endif

ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa powerpc ppc64 x32))
MALCONTENT := -Dmalcontent=true
else
MALCONTENT := -Dmalcontent=false
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dlocation-services=enabled \
		-Dprivileged_group=sudo \
		-Dwhoopsie=true \
		-Ddocumentation=true \
		-Ddistributor_logo=$(DISTRIBUTOR_LOGO) \
		-Ddark_mode_distributor_logo=$(DISTRIBUTOR_LOGO_DARK) \
		$(MALCONTENT)

# Ubuntu-specific
override_dh_translations:
	dh_translations --domain=gnome-control-center-2.0

override_dh_gnome_clean:

## gnome-control-center 49.3

=== debian/changelog ===
gnome-control-center (1:49.3-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Enable malcontent on all Linux architectures
  * Bump Standards Version to 4.7.3

  [ Alessandro Astone ]
  * Enable malcontent for Ubuntu as well

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 05 Jan 2026 09:56:54 -0500

## gnome-control-center 49.4

=== debian/changelog ===
gnome-control-center (1:49.4-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 27 Jan 2026 17:15:47 -0500

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,7 @@
 Source: gnome-control-center
 Section: gnome
-Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Amin Bandali <bandali@ubuntu.com>,
-           Jeremy Bícha <jbicha@ubuntu.com>,
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>,
            Laurent Bigonville <bigon@debian.org>,
            Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
@@ -37,7 +34,7 @@
                libibus-1.0-dev,
                libjson-glib-dev,
                libkrb5-dev,
-               libmalcontent-0-dev [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa powerpc ppc64 x32],
+               libmalcontent-0-dev [linux-any],
                libmm-glib-dev [linux-any],
                libnm-dev (>= 1.52.0) [linux-any],
                libnma-gtk4-dev (>= 1.10.2) [linux-any],
@@ -50,7 +47,6 @@
                libudisks2-dev,
                libupower-glib-dev (>= 1.90.6),
                libwacom-dev [linux-any],
-               libwhoopsie-preferences-dev,
                libxml2-dev,
                libxml2-utils,
                locales,
@@ -59,16 +55,15 @@
                shared-mime-info,
                tecla (>= 47),
                tzdata <!nocheck>,
-Standards-Version: 4.7.2
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-control-center.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-control-center
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-control-center.git -b ubuntu/latest
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-control-center/tree/ubuntu/latest
+Standards-Version: 4.7.3
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-control-center.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-control-center
 
 Package: gnome-control-center
 Architecture: any
 Depends: accountsservice (>= 23.11.69),
          colord,
+         desktop-base,
          desktop-file-utils,
          gnome-control-center-data (<< ${gnome:NextVersion}),
          gnome-control-center-data (>= ${source:Version}),
@@ -78,37 +73,34 @@
          gsettings-desktop-schemas (>= 48~alpha),
          heif-gdk-pixbuf,
          heif-thumbnailer,
-         language-selector-gnome (>= 0.179~),
          libjxl-gdk-pixbuf,
          mutter-common (>= 47),
          tecla (>= 47),
          upower,
          webp-pixbuf-loader,
-         whoopsie-preferences,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: cracklib-runtime,
             cups-pk-helper,
             fwupd [linux-any],
             gnome-bluetooth-sendto,
-            gnome-control-center-faces,
             gnome-remote-desktop (>= 47),
             gnome-user-docs,
-            ibus,
+            gnome-user-share,
             iso-codes,
             libcanberra-pulse,
+            libnss-myhostname,
             libspa-0.2-bluetooth | pulseaudio-module-bluetooth,
+            malcontent-gui [linux-any],
             mobile-broadband-provider-info,
             nm-connection-editor | network-manager-gnome (<< 1.36.0-3~),
             polkitd,
             power-profiles-daemon,
+            realmd,
             rygel | rygel-tracker,
             system-config-printer-common
 Suggests: gnome-software | gnome-packagekit,
-          gnome-user-share,
           gstreamer1.0-plugins-good (>= 1.18.0),
-          malcontent-gui [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa powerpc ppc64 x32],
-          realmd,
 Breaks: gnome-remote-desktop (<< 42),
         gnome-shell (<< 49)
 Description: utilities to configure the GNOME desktop
@@ -119,16 +111,6 @@
  .
  It also contains a front end to these applets, which can also be
  accessed with the GNOME panel or the Nautilus file manager.
-
-Package: gnome-control-center-faces
-Architecture: all
-Multi-Arch: foreign
-Depends: ${misc:Depends}
-Conflicts: unity-control-center-faces
-Replaces: unity-control-center-faces
-Provides: unity-control-center-faces
-Description: utilities to configure the GNOME desktop - faces images
- This package contains images that can be used for user profile's icon
 
 Package: gnome-control-center-dev
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CPPFLAGS_MAINT_APPEND = -DSSHD_SERVICE=\"ssh.service\"
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes),yes)
DISTRIBUTOR_LOGO := /usr/share/pixmaps/ubuntu-logo-text.png
DISTRIBUTOR_LOGO_DARK := /usr/share/pixmaps/ubuntu-logo-text-dark.png
else
DISTRIBUTOR_LOGO := /usr/share/icons/vendor/scalable/emblems/emblem-vendor.svg
DISTRIBUTOR_LOGO_DARK := /usr/share/icons/vendor/scalable/emblems/emblem-vendor.svg
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dlocation-services=enabled \
		-Dprivileged_group=sudo \
		-Ddocumentation=true \
		-Ddistributor_logo=$(DISTRIBUTOR_LOGO) \
		-Ddark_mode_distributor_logo=$(DISTRIBUTOR_LOGO_DARK) \
		-Dmalcontent=$(if $(filter linux,$(DEB_HOST_ARCH_OS)),true,false)

# Ubuntu-specific
override_dh_translations:
	dh_translations --domain=gnome-control-center-2.0

## gnome-control-center 50~alpha

=== debian/changelog ===
gnome-control-center (1:50~alpha-0ubuntu1) resolute; urgency=medium

  * New upstream release
  * Drop kbd-lv3.patch, applied upstream.
  * Rework Adapts-the-region*.patch.
  * d/control: Depend on blueprint-compiler >= 0.19.0.
  * d/p/u/region-Add-Language-Selector-button.patch: Partially rewritten so it
    is closer to upstream.
  * Refresh four patches that did not apply cleanly, namely:
    d/p/u/multitasking-panel-Sync-workspace-and-monitor-isolation-d.patch
    d/p/u/multitasking-panel-Sync-workspace-isolation-setting-on-ti.patch
    d/p/u/applications-Launch-snap-store-if-it-is-installed.patch
    d/p/u/applications-Support-controlling-the-autostart-flag-on-ap.patch
  * d/p/u/meson:relax-malcontent-version.patch: Debian/Ubuntu do not have
    Malcontent 0.14 Alpha yet; 0.13 is OK.

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Fri, 30 Jan 2026 09:48:53 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,14 @@
 Source: gnome-control-center
 Section: gnome
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bícha <jbicha@ubuntu.com>,
+Priority: optional
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Amin Bandali <bandali@ubuntu.com>,
+           Jeremy Bícha <jbicha@ubuntu.com>,
            Laurent Bigonville <bigon@debian.org>,
            Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
-               blueprint-compiler (>= 0.17.0),
+               blueprint-compiler (>= 0.19.0),
                desktop-file-utils,
                dh-sequence-gnome (>= 0.22.2),
                gnome-settings-daemon-dev (>= 48~rc),
@@ -34,7 +37,7 @@
                libibus-1.0-dev,
                libjson-glib-dev,
                libkrb5-dev,
-               libmalcontent-0-dev [linux-any],
+               libmalcontent-0-dev [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa powerpc ppc64 x32],
                libmm-glib-dev [linux-any],
                libnm-dev (>= 1.52.0) [linux-any],
                libnma-gtk4-dev (>= 1.10.2) [linux-any],
@@ -47,6 +50,7 @@
                libudisks2-dev,
                libupower-glib-dev (>= 1.90.6),
                libwacom-dev [linux-any],
+               libwhoopsie-preferences-dev,
                libxml2-dev,
                libxml2-utils,
                locales,
@@ -55,15 +59,16 @@
                shared-mime-info,
                tecla (>= 47),
                tzdata <!nocheck>,
-Standards-Version: 4.7.3
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-control-center.git
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-control-center
+Standards-Version: 4.7.2
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-control-center.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-control-center
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-control-center.git -b ubuntu/latest
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-control-center/tree/ubuntu/latest
 
 Package: gnome-control-center
 Architecture: any
 Depends: accountsservice (>= 23.11.69),
          colord,
-         desktop-base,
          desktop-file-utils,
          gnome-control-center-data (<< ${gnome:NextVersion}),
          gnome-control-center-data (>= ${source:Version}),
@@ -73,34 +78,37 @@
          gsettings-desktop-schemas (>= 48~alpha),
          heif-gdk-pixbuf,
          heif-thumbnailer,
+         language-selector-gnome (>= 0.179~),
          libjxl-gdk-pixbuf,
          mutter-common (>= 47),
          tecla (>= 47),
          upower,
          webp-pixbuf-loader,
+         whoopsie-preferences,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: cracklib-runtime,
             cups-pk-helper,
             fwupd [linux-any],
             gnome-bluetooth-sendto,
+            gnome-control-center-faces,
             gnome-remote-desktop (>= 47),
             gnome-user-docs,
-            gnome-user-share,
+            ibus,
             iso-codes,
             libcanberra-pulse,
-            libnss-myhostname,
             libspa-0.2-bluetooth | pulseaudio-module-bluetooth,
-            malcontent-gui [linux-any],
             mobile-broadband-provider-info,
             nm-connection-editor | network-manager-gnome (<< 1.36.0-3~),
             polkitd,
             power-profiles-daemon,
-            realmd,
             rygel | rygel-tracker,
             system-config-printer-common
 Suggests: gnome-software | gnome-packagekit,
+          gnome-user-share,
           gstreamer1.0-plugins-good (>= 1.18.0),
+          malcontent-gui [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa powerpc ppc64 x32],
+          realmd,
 Breaks: gnome-remote-desktop (<< 42),
         gnome-shell (<< 49)
 Description: utilities to configure the GNOME desktop
@@ -111,6 +119,16 @@
  .
  It also contains a front end to these applets, which can also be
  accessed with the GNOME panel or the Nautilus file manager.
+
+Package: gnome-control-center-faces
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}
+Conflicts: unity-control-center-faces
+Replaces: unity-control-center-faces
+Provides: unity-control-center-faces
+Description: utilities to configure the GNOME desktop - faces images
+ This package contains images that can be used for user profile's icon
 
 Package: gnome-control-center-dev
 Architecture: all

## gnome-control-center 50~beta

=== meson_options.txt ===
--- 
+++ 
@@ -5,7 +5,6 @@
 option('privileged_group', type: 'string', value: 'wheel', description: 'name of group that has elevated permissions')
 option('snap', type: 'boolean', value: true, description: 'build with Snap support')
 option('tests', type: 'boolean', value: true, description: 'build tests')
-option('x11', type: 'boolean', value: false, description: 'build with X11 support')
 option('profile', type: 'combo', choices: ['default','development'], value: 'default')
 option('malcontent', type: 'boolean', value: false, description: 'build with malcontent support')
 option('distributor_logo', type: 'string', description: 'absolute path to distributor logo for the About panel')

=== debian/changelog ===
gnome-control-center (1:50~beta-0ubuntu1) resolute; urgency=medium

  * New upstream release
  * d/p: Refresh
  * d/p: Remove fractional scaling configuration option
  * d/p: Add patch to configure X11 legacy apps (LP: #2110515)
  * debian/control: Bump build dependencies as per 50 update.
    Adding new dependencies introduced by 50.alpha
  * d/p: Revert code requiring newer malcontent
  * d/control: Lower malcontent requirement
  * d/p/telemetry: Add new telemetry pages to POTFILE
  * d/p/telemetry: Use a different icon and adjust strings
  * d/p/ubuntu: Add security panel action row to open the Ubuntu Security Center

  [ kkuo ]
  * d/p/u: Rename diagnostics panel to telemetry
  * d/p/u: Add Ubuntu Insights support to the telemetry panel.
    This allows the user to control Ubuntu Insights consent via the
    telemetry panel, and allows the user to generate and preview an example
    report.
    Some overall changes were also made to the telemetry panel to improve
    accessibility and to make way for the new Ubuntu Insights integration.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sat, 14 Feb 2026 04:35:12 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                dh-sequence-gnome (>= 0.22.2),
                gnome-settings-daemon-dev (>= 48~rc),
                gobject-introspection (>= 1.80),
-               gsettings-desktop-schemas-dev (>= 48~alpha),
+               gsettings-desktop-schemas-dev (>= 50~alpha),
                gtk-doc-tools,
                libaccountsservice-dev (>= 23.11.69),
                libadwaita-1-dev (>= 1.8~alpha),
@@ -35,9 +35,10 @@
                libgudev-1.0-dev [linux-any],
                libhandy-1-dev (>= 1.2.0),
                libibus-1.0-dev,
+               libinsights-dev (>= 0.8.1),
                libjson-glib-dev,
                libkrb5-dev,
-               libmalcontent-0-dev [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa powerpc ppc64 x32],
+               libmalcontent-0-dev (>= 0.13) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa powerpc ppc64 x32],
                libmm-glib-dev [linux-any],
                libnm-dev (>= 1.52.0) [linux-any],
                libnma-gtk4-dev (>= 1.10.2) [linux-any],
@@ -75,7 +76,7 @@
          gnome-desktop3-data,
          gnome-online-accounts (>= 3.51.0),
          gnome-settings-daemon (>= 48~rc),
-         gsettings-desktop-schemas (>= 48~alpha),
+         gsettings-desktop-schemas (>= 50~alpha),
          heif-gdk-pixbuf,
          heif-thumbnailer,
          language-selector-gnome (>= 0.179~),

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CPPFLAGS_MAINT_APPEND = -DSSHD_SERVICE=\"ssh.service\" -DSSHD_SOCKET=\"ssh.socket\"
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes),yes)
DISTRIBUTOR_LOGO := /usr/share/pixmaps/ubuntu-logo-text.svg
DISTRIBUTOR_LOGO_DARK := /usr/share/pixmaps/ubuntu-logo-text-dark.svg
else
DISTRIBUTOR_LOGO := /usr/share/icons/vendor/scalable/emblems/emblem-vendor.svg
DISTRIBUTOR_LOGO_DARK := /usr/share/icons/vendor/scalable/emblems/emblem-vendor.svg
endif

ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa powerpc ppc64 x32))
MALCONTENT := -Dmalcontent=true
else
MALCONTENT := -Dmalcontent=false
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dlocation-services=enabled \
		-Dprivileged_group=sudo \
		-Dwhoopsie=true \
		-Dinsights=true \
		-Ddocumentation=true \
		-Ddistributor_logo=$(DISTRIBUTOR_LOGO) \
		-Ddark_mode_distributor_logo=$(DISTRIBUTOR_LOGO_DARK) \
		$(MALCONTENT)

# Ubuntu-specific
override_dh_translations:
	dh_translations --domain=gnome-control-center-2.0

override_dh_gnome_clean:
